Name: terracotta-dso
Version: 3.3.0
Summary: Terracotta DSO
Epoch: 0
License: Terracotta Public License
Url: http://www.terracotta.org/
Packager: Igor Vlasenko <viy@altlinux.ru>
Requires: /bin/bash
Requires: /bin/sh
Requires: antlr
Requires: jakarta-commons-beanutils
Requires: jakarta-commons-cli
Requires: jakarta-commons-codec
Requires: jakarta-commons-collections
Requires: jakarta-commons-digester
Requires: jakarta-commons-fileupload
Requires: jakarta-commons-httpclient
Requires: jakarta-commons-io
Requires: jakarta-commons-lang
Requires: jakarta-commons-logging
Requires: jakarta-commons-validator
Requires: aspectj
Requires: bsh2
Requires: concurrent
Requires: de-java2html
Requires: dom4j
Requires: gnu-trove
Requires: google-collections
Requires: google-guice
Requires: java
Requires: jaxen
Requires: jcommon
Requires: jfreechart
Requires: jline
Requires: jpackage-utils
Requires: jvyaml
Requires: knopflerfish
Requires: linked-child-process
Requires: log4j
Requires: opendmk
Requires: servlet_2_3_api
Requires: servlet_2_5_api
Requires: sigar
Requires: slf4j
Requires: stax_1_0_api
Requires: stringtemplate
Requires: struts
Requires: tim-api
Requires: treemap
Requires: xmlbeans
Requires: yamlbeans

BuildArch: noarch
Group: Development/Java
Release: alt0.1jpp
Source: terracotta-dso-3.3.0-1.jpp6.cpio

%description
Terracotta is an enterprise-class, open-source, JVM-level
clustering solution. JVM-level clustering simplifies
enterprise Java by enabling applications to be deployed on
multiple JVMs, yet interact with each other as if they were
running on the same JVM. Terracotta extends the Java Memory
Model of a single JVM to include a cluster of virtual
machines such that threads on one virtual machine can
interact with threads on another virtual machine as if they
were all on the same virtual machine with an unlimited
amount of heap.
The programming model of applications clustered using Open
Terracotta is the same or similar to that of an application
written for a single application. There is no developer API
specific to Open Terracotta. Terracotta uses bytecode
manipulation - a technique used by many Aspect-Oriented
Software Development frameworks such as AspectJ and
AspectWerkz to inject clustered meaning to existing Java
language features.

# sometimes commpress gets crazy (see maven-scm-javadoc for details)
%set_compress_method none
%prep
cpio -idmu --quiet --no-absolute-filenames < %{SOURCE0}

%build
cpio --list < %{SOURCE0} | sed -e 's,^\.,,' > %name-list

%install
mkdir -p $RPM_BUILD_ROOT
for i in usr var etc; do
[ -d $i ] && mv $i $RPM_BUILD_ROOT/
done

%post

echo -e "<dependencies>\n" > /etc/maven/maven2-depmap.xml
if [ -d /etc/maven/fragments ] && [ -n "`find /etc/maven/fragments -type f`" ]; then
cat /etc/maven/fragments/* >> /etc/maven/maven2-depmap.xml
fi
echo -e "</dependencies>\n" >> /etc/maven/maven2-depmap.xml

%postun

echo -e "<dependencies>\n" > /etc/maven/maven2-depmap.xml
if [ -d /etc/maven/fragments ] && [ -n "`find /etc/maven/fragments -type f`" ]; then
cat /etc/maven/fragments/* >> /etc/maven/maven2-depmap.xml
fi
echo -e "</dependencies>\n" >> /etc/maven/maven2-depmap.xml


%files -f %name-list

%changelog
* Tue Oct 19 2010 Igor Vlasenko <viy@altlinux.ru> 0:3.3.0-alt0.1jpp
- bootstrap for jetty6

